图片系列Midjourney
Midjourney 视频生成
POST
基于 Midjourney 图片任务或参考图片提交视频生成动作,返回任务 ID 后可通过 Midjourney 查询任务接口轮询结果。
bearerAuthheader
AuthorizationBearer <API key>使用 Authorization Bearer API Key 进行鉴权。
application/json- body
prompt?string视频生成提示词。
motion?string运动强度,例如 low 或 high,具体取值以渠道能力为准。
image?string起始参考图片 URL 或 Base64 Data URL。
endImage?string结束帧参考图片 URL 或 Base64 Data URL。
taskId?stringMidjourney 任务 ID。对已有图片任务发起视频动作时使用。
action?string视频动作类型,留空时由接口按视频生成动作处理。
state?string客户端自定义状态,会随回调或任务流转透传。
notifyHook?string任务完成后的回调地址;为空时不主动回调。
Format
uri[key: string]?anyMidjourney 视频任务提交响应。
application/json- response
Midjourney 任务提交响应。
code?integer提交结果码。1 通常表示提交成功,其他值表示排队、重复、敏感词或错误。
description?string提交结果描述。
result?stringMidjourney 任务 ID。
properties?上游返回的扩展属性,例如队列信息、已存在任务状态或翻译后的提示词。
[key: string]?anycurl -X POST 'https://goldflow.cc/mj/submit/video' \ -H 'Content-Type: application/json' \ -d '{ "prompt": "飞来一只蜜蜂", "motion": "low", "image": "https://example.com/midjourney-image.png", "endImage": "https://example.com/end-frame.png"}'Example Response
{ "code": 0, "description": "string", "result": "string", "properties": {}}